Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 691274 - media-libs/rubberband-1.8.2 misconfigured /usr/lib64/pkgconfig/rubberband.pc causing issues with systems running the 17.1 profile
Summary: media-libs/rubberband-1.8.2 misconfigured /usr/lib64/pkgconfig/rubberband.pc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 4 votes (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 691920
  Show dependency tree
 
Reported: 2019-08-02 00:33 UTC by Sandi (Sandy) Vujaković
Modified: 2020-08-11 16:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
System info (emerge --info rubberband.txt,12.10 KB, text/plain)
2019-08-02 00:36 UTC, Sandi (Sandy) Vujaković
Details
Failed emerge log (ffmpeg build.txt.bz2,739.64 KB, application/x-bzip)
2019-08-02 00:47 UTC, Sandi (Sandy) Vujaković
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sandi (Sandy) Vujaković 2019-08-02 00:33:36 UTC
The file mentioned above causes the emerge to fail, specifically the x86_64.amd64 ABI stage, due to the value "libdir" pointing to /usr/lib, which contains no 64-bit libraries on the 17.1 profile.

Reproducible: Didn't try

Steps to Reproduce:
1. Emerge rubberband
2. Emerge ffmpeg
Actual Results:  
The emerge fails with the following:

"/usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/../../../../x86_64-pc-linux-gnu/bin/ld.bfd: i386 architecture of input file `/var/tmp/portage/media-video/ffmpeg-4.1.4/temp/libavfilter.so.7.2RyQhx.ltrans0.ltrans.o' is incompatible with i386:x86-64 output"

Expected Results:  
The emerge should have succeeded.

After appending "64" to "libdir=${exec_prefix}/lib", ffmpeg successfully compiled.

Here is the accompanying forum thread: https://forums.gentoo.org/viewtopic-t-1099930.html
Comment 1 Sandi (Sandy) Vujaković 2019-08-02 00:36:46 UTC
Created attachment 585494 [details]
System info
Comment 2 Sandi (Sandy) Vujaković 2019-08-02 00:47:19 UTC
Created attachment 585496 [details]
Failed emerge log
Comment 3 Sandi (Sandy) Vujaković 2019-08-12 11:21:44 UTC
After running `emerge --verbose --emptytree @world`, I can confirm that this is reproducible.
Comment 4 Bernd 2019-08-14 12:22:18 UTC
I can confirm this, it hit me while preparing to bump media-sound/denemo to version 2.3.0. Manually changing the value to lib64 in the pkg-config file solves the issue for the denemo build, so I'm going to add a blocker.
Comment 5 Larry the Git Cow gentoo-dev 2019-08-17 15:35:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46af22f0c24778870b6f2a4f52702c1e9a32fe38

commit 46af22f0c24778870b6f2a4f52702c1e9a32fe38
Author:     Bernd Waibel <waebbl@gmail.com>
AuthorDate: 2019-08-14 13:32:05 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2019-08-17 15:34:41 +0000

    media-sound/denemo: bump to version 2.3.0
    
    - bump to EAPI=7
    - inherit xdg instead of xdg-utils
    - rename doc USE flag to gtk-doc
    - add subslot modifier for media-libs/aubio and media-sound/fluidsynth
    
    The bug below blocks this update for multilib machines and needs to be
    merged first!
    Bug: https://bugs.gentoo.org/691274
    
    Closes: https://bugs.gentoo.org/691920
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Bernd Waibel <waebbl@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/12704
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-sound/denemo/Manifest                        |   1 +
 media-sound/denemo/denemo-2.3.0.ebuild             | 122 +++++++++++++++++++++
 ...0001-configure.ac-patch-to-find-guile-2.2.patch |  80 ++++++++++++++
 3 files changed, 203 insertions(+)
Comment 6 Michael Schmid 2020-08-05 20:25:42 UTC
I also can confirm this to break media-video/mpv-0.32.0-r1 with USE=rubberband when compiled with specifically ld.lld, the detected false -L/usr/lib rather than -L/usr/lib64 causes an error.

Likewise, changing /usr/lib64/pkgconfig/rubberband.pc from libdir=${exec_prefix}/lib to the correct libdir=${exec_prefix}/lib64 fixes this.
Comment 7 Larry the Git Cow gentoo-dev 2020-08-11 16:04:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d705bbd1e4c38d3185a8418fea484940a3bf04e

commit 3d705bbd1e4c38d3185a8418fea484940a3bf04e
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2020-08-11 16:03:32 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2020-08-11 16:03:59 +0000

    media-libs/rubberband: fixed libdir in .pc file
    
    Closes: https://bugs.gentoo.org/691274
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 .../rubberband/{rubberband-1.8.2.ebuild => rubberband-1.8.2-r1.ebuild} | 3 +++
 1 file changed, 3 insertions(+)